### Method

# Aravis DomDocument get_href_data

#### Declaration [src]

    void*
    arv_dom_document_get_href_data (
      ArvDomDocument* self,
      const char* href,
      gsize* size
    )

#### Description [src]

Load the content referenced by `href`.

#### Parameters

`href`

  Type: `const char*`

  Document reference.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize*`

  Data size placeholder.

  The data is owned by the caller of the method.

#### Return value

Type: `void*`

A newly allocated data buffer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.